none
Remote desktop klient 6.1

    Dotaz

  • Ahoj, neví někdo, kde sehnat pro win 2008 (ne R2) verzi klienta 6.1? tady by měl jít stáhnout: http://support.microsoft.com/kb/951616. ale link pro 2008 tam "chybí". přijde mě to jako špatnej vtip. strejc google mě ho nenašel.
    pátek 24. června 2011 8:57

Odpovědi

  • Je to tak, ze Windows 2008, Vista SP1 a Windows XP SP3 podporuji RDP 6.1. Marne hledate odkaz na service pack pro Windows 2008, protoze tady nema smysl. Windows 2008 umi RDP 6.1 bez SP. Proto tam  neni uvedeny. (Nektere clanky mohou byt matouci a znamenaji jinou skutecnost a tou je kompatibilita s protokolem RDP 6.0. Muzete nastavit jeden nebo druhy rezim.)

    Doporucuji si precist http://support.microsoft.com/kb/947723/en-us a rdp_performance_whitepaper.docx

    Standard - RDP je standardizovany Microsoftem. Podivejte se na dokument [MS-RDPBCGR].pdf 


    pátek 24. června 2011 12:53
    Vlastník

Všechny reakce

  • DD,

    a neni to proto, protoze Windows 2008 uz verzi 6.1 ma? Jakou verzi klienta tam mate vy nainstalovanou?


    ing. Jan Chaloupek
    • Navržen jako odpověď Jan Chaloupek pátek 24. června 2011 13:24
    pátek 24. června 2011 9:08
  • Na http://support.microsoft.com/kb/951616 píší hned v Úvodu toto:

    Tento článek popisuje aktualizaci klienta vzdáleného připojení k vzdálené ploše 6.1, která umožňuje používat nové funkce Terminálové služby. Tyto funkce jsou zavedeny v systému Windows Vista a Windows Server 2008 ...

     


    ing. Jan Chaloupek
    • Navržen jako odpověď Jan Chaloupek pátek 24. června 2011 12:56
    • Zrušeno navržení jako odpověď Jan Chaloupek pátek 24. června 2011 13:24
    • Navržen jako odpověď Jan Chaloupek pátek 24. června 2011 13:26
    pátek 24. června 2011 9:33
  • no neni, W2008 mají verzi 6.0, RDC 6.1 mají W2008 R2.
    pátek 24. června 2011 11:22
  • A to se opravdu pripojujete z W2008 server na jiny server pres RDP? Neptate se nahodou na neco jineho nez chcete?

     


    ing. Jan Chaloupek
    pátek 24. června 2011 12:31
  • ne, připojuju se na server přes VPN (W2008). odtud na servery vnitřní sítě (W2008). nepřijde mě to nějaká nestandardní situace.
    pátek 24. června 2011 12:48
  • Pokud mate VPN, mel by jste mit moznost se pripojit na kterykoliv server (nebo klientsky pocitac) ve vasi LAN primo.

    Staci jen upravit routovaci tabulku. Bud rucne nebo upravit nastavni klienta VPN aby to udelal za vas.

     


    ing. Jan Chaloupek


    pátek 24. června 2011 12:51
  • Je to tak, ze Windows 2008, Vista SP1 a Windows XP SP3 podporuji RDP 6.1. Marne hledate odkaz na service pack pro Windows 2008, protoze tady nema smysl. Windows 2008 umi RDP 6.1 bez SP. Proto tam  neni uvedeny. (Nektere clanky mohou byt matouci a znamenaji jinou skutecnost a tou je kompatibilita s protokolem RDP 6.0. Muzete nastavit jeden nebo druhy rezim.)

    Doporucuji si precist http://support.microsoft.com/kb/947723/en-us a rdp_performance_whitepaper.docx

    Standard - RDP je standardizovany Microsoftem. Podivejte se na dokument [MS-RDPBCGR].pdf 


    pátek 24. června 2011 12:53
    Vlastník
  • já mám trochu jiné informace

    http://volny.cz/j00/mstsc-orig.jpg

    http://volny.cz/j00/mstsc-vR2.jpg

    ne R2 server má nainstalovaný SP2, R2  SP1.


    pátek 24. června 2011 13:06
  • Pozorne si prectete clanek a zamerte na tento radek 

    Note RDC 6.1 (6.0.6001) supports Remote Desktop Protocol (RDP) 6.1.

    pátek 24. června 2011 13:20
    Vlastník
  • ježiš ale mě přece vůbec nezajimá, jestli to podporuje novější protokol. podstatný pro mě je, že do 6.0 nejde vložit heslo ze schránky. a když člověk spravuje desítky servrů a několikrát denně se tam musí přihlašovat, tak je to TĚŽKEJ vopruz.

    díky za rady, pokud by někdo náhodou věděl o novější verzi pro W2008, tak to sem napište...

    pondělí 27. června 2011 8:18
  • Tady mate vyjadreni od Microsoftu:

     RDP updates never target server SKUs. This is the reason we never get updated clients for 2003 and now for 2008. This is probably because the most likely users of RDP clients are people using client machines like XP, Vista and Windows 7.

    Povazuji pripad za ukonceny.

    Priloha: Skript pro urceni verze. Ulozte to do html souboru (krome <<< a >>>)

    >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

    <html xmlns="http://www.w3.org/1999/xhtml" >

    <head>        

    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />        

    <meta name="ROBOTS" content="NOINDEX, NOFOLLOW, NOARCHIVE" />        

    <meta http-equiv="X-UA-Compatible" content="IE=7" />        

    <script type="text/javascript">          

      <!--        

     

      function versionRdc() 

      {                

        try                

        {                        

          rdpClient = new ActiveXObject("MsRdp.MsRdp.5");                          

          return rdpClient.Version;                  

        } 

     catch (e) 

        {                

        }                

        return "";        

      }        

     

      function parseVersionString (str) 

      {

        if (typeof(str) != "string") { return false; }

        var x = str.split(".");

        var maj = parseInt(x[0]) || 0;

        var min = parseInt(x[1]) || 0;

        var pat = parseInt(x[2]) || 0;

        return { major: maj, minor: min, patch: pat }

      }

     

      function rdc7()

      {

        var rdpver = versionRdc();

     var rdc7res = true;

        if (rdpver != "")

     {

          var running_version = parseVersionString(rdpver);

          var latest_version = parseVersionString("6.1.7600"); // rdc 7.0

       if (running_version.major < latest_version.major) { var rdc7res = false; }

       else

       {

         if (running_version.major == latest_version.major)

      {

           if (running_version.minor < latest_version.minor) { var rdc7res = false; }

        else

        {

                if (running_version.minor == latest_version.minor)

          { 

         if (running_version.patch < latest_version.patch) { var rdc7res = false; } 

       }

        }

      } 

       }

        }

     return rdc7res;

      }

     

      function test()        

      {                

        if (rdc7())

        {

       alert("RDC7 is installed and single sign-on will work.");

     }    

     else

     { 

       alert("RDC7 is not installed.");

        }

      }   

     

      // -->        

    </script>

    </head>

    <body onload="test();">

    </body>

    </html>

    <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

    pondělí 27. června 2011 9:21
    Vlastník
  • to je neuvěřitelný, systém za tolik peněz a jim je zatěžko sestavit novejší verzi tak jednoduché aplikace.
    ještě ke všemu je ta odpověď divná, protože verze 6 pro W2003 existuje - KB925876

    pondělí 27. června 2011 9:27
  • 1. Urcitou vnitrni logiku to ma. Opravdu je "in" se divat na servery z klientskeho operacniho systemu. Nekdo by vam mohl potouchle namitnout, ze W2K8 je uz po prichodu W 7 dost drahy klient pro spravu serveru.

    2. Co je nebo neni ve finalni verzi se lisi i od verzi, ktere byly k dispozici pred RTM. 

    3. Tady je odkaz na klienta verze 7: http://support.microsoft.com/kb/969084 . Je to i pro Vistu SP1 a 2 ( a kupodivu i pro W XP SP3), takze pokud mate testovaci stroj s W2K8, muzete se pokusit o "hack". Vista a W2K8 jsou pribuzne verze. Jestli se k tomu dostanete a otestujete, tak nam sem dejte echo, jak jste poridil.

    Musite se smirit s tim, ze to, co povazujete za rozumne a ocekavane, se "nemusi dostavit".

    pondělí 27. června 2011 10:55
    Vlastník